# Unrecognized Calls

**Base URL:** `https://api.welkinhealth.com/{tenantName}/{instanceName}/unrecognized-calls`

Unrecognized calls are inbound phone calls from numbers not associated with any known patient.

***

## Get All Unrecognized Calls

**GET** `/unrecognized-calls`

Returns a paginated list of unrecognized inbound calls.

### Query Parameters

| Parameter   | Type              | Required | Description              |
| ----------- | ----------------- | -------- | ------------------------ |
| `startDate` | string (ISO 8601) | No       | Filter from date         |
| `endDate`   | string (ISO 8601) | No       | Filter to date           |
| `status`    | string            | No       | `PENDING` or `RESOLVED`  |
| `page`      | integer           | No       | Page number (default: 0) |
| `size`      | integer           | No       | Page size (default: 20)  |

### Example Request

```bash
curl -X GET "https://api.welkinhealth.com/acme/live/unrecognized-calls?status=PENDING" \
  -H "Authorization: Bearer {access_token}"
```

### Example Response

```json
{
  "content": [
    {
      "id": "ucall_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "fromNumber": "+15559991234",
      "toNumber": "+18005551000",
      "duration": 45,
      "receivedAt": "2026-03-19T09:15:00Z",
      "status": "PENDING",
      "resolvedBy": null,
      "patientId": null
    }
  ],
  "totalElements": 1,
  "totalPages": 1,
  "page": 0,
  "size": 20
}
```

***

## Get Unrecognized Call by ID

**GET** `/unrecognized-calls/{callId}`

Returns a single unrecognized call record.

### Path Parameters

| Parameter | Type   | Required | Description                 |
| --------- | ------ | -------- | --------------------------- |
| `callId`  | string | Yes      | ID of the unrecognized call |

### Example Request

```bash
curl -X GET "https://api.welkinhealth.com/acme/live/unrecognized-calls/ucall_a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
  -H "Authorization: Bearer {access_token}"
```

### Example Response

```json
{
  "id": "ucall_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "fromNumber": "+15559991234",
  "toNumber": "+18005551000",
  "duration": 45,
  "receivedAt": "2026-03-19T09:15:00Z",
  "status": "PENDING",
  "resolvedBy": null,
  "patientId": null
}
```

***

## Resolve Unrecognized Call

**PATCH** `/unrecognized-calls/{callId}`

Links the call to a known patient and marks it as resolved.

### Path Parameters

| Parameter | Type   | Required | Description                 |
| --------- | ------ | -------- | --------------------------- |
| `callId`  | string | Yes      | ID of the unrecognized call |

### Request Body

| Field       | Type   | Required | Description               |
| ----------- | ------ | -------- | ------------------------- |
| `patientId` | string | Yes      | ID of the patient to link |
| `status`    | string | Yes      | Must be `RESOLVED`        |

### Example Request

```bash
curl -X PATCH "https://api.welkinhealth.com/acme/live/unrecognized-calls/ucall_a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
  -H "Authorization: Bearer {access_token}" \
  -H "Content-Type: application/json" \
  -d '{"patientId": "pt_7f3a9b2c-1d4e-4f8a-b5c6-d7e8f9a0b1c2", "status": "RESOLVED"}'
```

### Example Response

```json
{
  "id": "ucall_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "fromNumber": "+15559991234",
  "toNumber": "+18005551000",
  "duration": 45,
  "receivedAt": "2026-03-19T09:15:00Z",
  "status": "RESOLVED",
  "resolvedBy": "usr_1a2b3c4d-5e6f-7890-abcd-ef1234567890",
  "patientId": "pt_7f3a9b2c-1d4e-4f8a-b5c6-d7e8f9a0b1c2"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.welkinhealth.com/developer-and-integration-guide/api-reference/unrecognized-calls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
